Redmine - Defect #6859

Moving issues to a tracker with different custom fields should let fill these fields
2010-11-09 19:47 - Gabriel Baez

Status: Closed Start date: 2010-11-09
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 1.4.0

Resolution: Fixed Affected version:

Description

We have upgraded our redmine from 0.8.3 to redmine to Redmine 1.0.2.stable everything seems to work with the exception of
moving tickets to a different tracket, we get the following error message "Failed to save 1 issue(s) on 1 selected: #1393" | upgraded
our test server to 1.0.3 and still have the same issue.

Related issues:

Has duplicate Redmine - Defect #9277: copy issue from one project to another ... Closed 2011-09-19
Has duplicate Redmine - Defect #9797: Move issue between projects fails if mo... Closed
History

#1 - 2010-11-10 02:30 - Andrew Vit

Confirmed. The problem seems to happen for issues with parent tasks.
I have the following in the history for one issue:
Updated by Andrew about 22 hours ago
e Tracker changed from Bug to Feature
Updated by Andrew about 22 hours ago
e Parent task set to #5
Updated by Andrew Vit about 22 hours ago
e Tracker changed from Support to Feature
Updated by Andrew Vit about 22 hours ago
e Tracker changed from Support to Feature

After the first change, the issue becomes a "Feature" as expected. After the second change, it goes into "Support" without being asked, and will not
change from there unless the parent task is removed.

#2 - 2010-11-10 16:09 - Gabriel Baez

Thanks for taking the time to look into this, but the issues that | have been trying to move do not have a parent task assigned.
#3 - 2010-11-10 23:48 - Andrew Vit
| had a look through the source but I'm not familiar enough with Redmine to see what's happening.

Not sure if my issue is related or if | just hijacked your issue... Mine could be a different problem since yours gives an error and also happens without
parent tasks.

#4 - 2010-12-15 18:59 - Gabriel Baez

anyone have any ideas for fixing this issue ?

#5 - 2010-12-15 19:42 - Gabriel Baez

environment info

[svn@dsvnrepo redmine]$ ruby -v
https://www.redmine.org/issues/1393
https://www.redmine.org/issues/5

ruby 1.8.7 (2010-01-10 patchlevel 249) [i686-1linux]
[svn@dsvnrepo redminel]$ rails -v
Rails 2.3.9

Database
mysqgl Ver 14.14 Distrib 5.1.50, for pc-linux-gnu (i686) using readline 5.1

#6 - 2010-12-15 21:30 - Gabriel Baez

I have looked more into this issue and found a work around. the update was failing because the other tracker has required custom fields. once
the "required" option was turned off we are now able to move tickets to another tracker.

#7 - 2011-05-16 17:47 - Etienne Massip

- Category set to Issues

Any plugins ?

#8 - 2011-05-16 17:49 - Etienne Massip

Sorry, too fast, didn't see note 6.

Would be nice to have a more detailed error message.

#9 - 2011-05-16 19:40 - Gabriel Baez

- Status changed from New to Resolved

Hi, this is no longer an issue. The problem was that the tracker that | was trying to move to had required fields. It took sometime to figure out since
redmine does not give any warnings about required fields for the tracker trying to move to. so it fails the save operation.

#10 - 2011-06-13 00:17 - Jean-Baptiste Barth

- Subject changed from Unable to move tickets to a different tracker. to Move issues to a different tracker with required fields should output explicit
errors or help messages

- Status changed from Resolved to New

- Priority changed from Urgent to Normal

We should improve the error message if we don't provide a way to fill these fields.

#11 - 2011-12-15 14:51 - Etienne Massip

- Target version set to Candidate for next major release

#12 - 2012-02-01 19:51 - Sebastian M

While | agree a better error message would be good, | would like to see the issue corrected functionally.

My preference would be that when moving an issue, any custom fields in the destination project, particularly required ones, are shown on the move
page. This gives the mover the opportunity to set the proper values and the move could succeed.

Thanks

#13 - 2012-02-01 22:10 - Jean-Philippe Lang

- Subject changed from Move issues to a different tracker with required fields should output explicit errors or help messages to Moving issues to a
tracker with different custom fields should let fill these fields

- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang
- Target version changed from Candidate for next major release to 1.4.0

- Resolution set to Fixed

Already fixed for 1.4.0. When moving issue(s) to a different project or tracker, you are now able to fill the target custom fields. BTW, the "Move"
functionnality has been cleaned up and merged into the regular edit/bulk_edit form.

2025-08-23 22


http://www.tcpdf.org

